@ECHO OFF
IF "%1" == "" GOTO BEGIN
GOTO PLAYFILE
:BEGIN
CLS
ECHO -----------------------------------------------
ECHO TIMIDITY++                              7-10-09
ECHO -----------------------------------------------
ECHO.
ECHO Start Player        Start Midi-In Interface(D3)
ECHO  :                                           :
ECHO [1] Use Timidity 6MB GM SoundFont           [6]
ECHO [2] Use Voice Crystal GM/GS SoundFont v4.1  [7]
ECHO [3] Use E-mu APS 1MB GM 1993 AWE SoundFont  [8]
ECHO [4] Use E-mu APS 2MB GM/GS SoundFont Rev N  [9]
ECHO [5] Use E-mu APS 8MB GM SoundFont rev B     [0]
ECHO.
ECHO [W] Load windows GUI                   Exit [Q]
ECHO.
ECHO (Drop a midi file on the Bat-file to play)
ECHO.
ECHO -----------------------------------------------
ECHO Press the key of your choice :
ECHO -----------------------------------------------
CHOICE /C:1234567890WQX /N
IF ERRORLEVEL 13 GOTO END
IF ERRORLEVEL 12 GOTO END
IF ERRORLEVEL 11 GOTO TIMW32G
IF ERRORLEVEL 10 GOTO x8MBGM
IF ERRORLEVEL  9 GOTO x2GMGSMT
IF ERRORLEVEL  8 GOTO xSYNTHGMS
IF ERRORLEVEL  7 GOTO xVCGS4MV4
IF ERRORLEVEL  6 GOTO xTIMGM6MB
IF ERRORLEVEL  5 GOTO 8MBGM
IF ERRORLEVEL  4 GOTO 2GMGSMT
IF ERRORLEVEL  3 GOTO SYNTHGMS
IF ERRORLEVEL  2 GOTO VCGS4MV4
IF ERRORLEVEL  1 GOTO TIMGM6MB

REM timidity -inst -A 60,100 -p 64 -x "soundfont SYNTHGMS.SF2"
REM -i interface options ; -A Volume,Drum power ; -P Max Voices
REM RECORD: timidity.exe -Ow -inst -A 100,100 -x "soundfont 8mbgm.sf2" E:\mp3\midi\dune2\15-fig~1.mid
REM  PLAY  -a -U -A60 -Ww -EFchorus=2 -EFreverb=1,60 -EFdelay=r -s48000
REM RECORD -inv -p 256(a) -U -A80 -EFchorus=2 -EFreverb=1,60 -EFdelay=r -s48000 -OwS %1

:TIMGM6MB
timidity -c SF2\TIMGM6MB.CFG midi.pls
GOTO BEGIN

:VCGS4MV4
timidity -c SF2\VCGS4MV4.CFG -A 90,100 midi.pls
GOTO BEGIN

:SYNTHGMS
timidity -c SF2\SYNTHGMS.CFG midi.pls
GOTO BEGIN

:2GMGSMT
timidity -c SF2\2GMGSMT.CFG  midi.pls
GOTO BEGIN

:8MBGM
timidity -c SF2\8MBGM.CFG    midi.pls
GOTO BEGIN

:xTIMGM6MB
CLS
ECHO Selected: Timidity 6MB GM SoundFont
ECHO.
timidity -e -iW 3 -c SF2\TIMGM6MB.CFG
GOTO BEGIN

:xVCGS4MV4
CLS
ECHO Selected: Voice Crystal GM/GS SoundFont v4.1
ECHO.
timidity -e -iW 3 -c SF2\VCGS4MV4.CFG -A 90,100
GOTO BEGIN

:xSYNTHGMS
CLS
ECHO Selected: E-mu APS 1MB GM 1993 AWE SoundFont
ECHO.
timidity -e -iW 3 -c SF2\SYNTHGMS.CFG
GOTO BEGIN

:x2GMGSMT
CLS
ECHO Selected: E-mu APS 2MB GM/GS SoundFont Rev N
ECHO.
timidity -e -iW 3 -c SF2\2GMGSMT.CFG
GOTO BEGIN

:x8MBGM
CLS
ECHO Selected: E-mu APS 8MB GM SoundFont rev B
ECHO.
timidity -e -iW 3 -c SF2\8MBGM.CFG
GOTO BEGIN

:TIMW32G
timw32g.exe midi.pls
GOTO END

:PLAYFILE
c:\winapp\timidity\timidity.exe -L c:/winapp/timidity/SF2/ -c c:/winapp/timidity/SF2/8mbgm.cfg %1
GOTO END

:END
cls